(setq enunciado1 '(La madre de Jimmy tiene varios hijos el primero se llama Abril el segundo se llama Mayo, cual es el nombre del tercero))
(setq enunciado2 '(un borracho dijo sii hoy fuese mañana hoy seria viernes))
(setq enunciado3 '(un vaquero llega a un pueblo en viernes se queda tres dias y se_va en viernes))

(setq persona '(madre Jimmy hijos llama nombre borracho vaquero ))
(setq tiempo '(viernes Abril Mayo ))
(setq transporte '(viene llega se_va ))
(defvar concupersona 0)
(defvar concutiempo 0)
(defvar concutransp 0)

(defun analizar (enunciado1)
  claves (car enunciado1)
  analizar (cdr enunciado1)
)
(defun analizar (enunciado2)
  claves (car enunciado2)
  analizar (cdr enunciado2)
)
(defun analizar (enunciado3)
  claves (car enunciado3)
  analizar (cdr enunciado3)
(if (and (> concupersona concutiempo ) (> concupersona concutransp))
  (format t "Se esta hablando sobre una persona"))

  (if (and (> concutiempo concupersona ) (> concutiempo concutransp))
    (format t "Se esta hablando sobre el tiempo")

    (if (and (> concutransp concutiempo ) (> concupersona concupersona))
      (format t "Se esta hablando sobre el transporte")
)


(defun claves (miembro)
(if (> (length persona) 0)
     (if (equal (car persona) elemento)
       (1+ concupersona)
 ))
 (if (> (length tiempo) 0)
      (if (equal (car tiempo) elemento)
        (1+ concutiempo)
  ))
  (if (> (length transporte) 0)
       (if (equal (car transporte) elemento)
         (1+ concutransp)
   ))
 )
